---
title: llarp::path::PathContext::SyncOwnedPathsMap_t

---

# llarp::path::PathContext::SyncOwnedPathsMap_t





## Public Functions

|                | Name           |
| -------------- | -------------- |
| OwnedPathsMap_t second | **[GUARDED_BY](Classes/structllarp_1_1path_1_1PathContext_1_1SyncOwnedPathsMap__t.md#function-guarded-by)**(first ) |
| template <typename OwnedHopVisitor \> <br>void | **[ForEach](Classes/structllarp_1_1path_1_1PathContext_1_1SyncOwnedPathsMap__t.md#function-foreach)**(OwnedHopVisitor && visit)<br>Invokes a callback for each owned path; visit must be invokable with a `const Path_ptr&` argument.  |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| util::Mutex | **[first](Classes/structllarp_1_1path_1_1PathContext_1_1SyncOwnedPathsMap__t.md#variable-first)**  |

## Public Functions Documentation

### function GUARDED_BY

```cpp
OwnedPathsMap_t second GUARDED_BY(
    first 
)
```


### function ForEach

```cpp
template <typename OwnedHopVisitor >
inline void ForEach(
    OwnedHopVisitor && visit
)
```

Invokes a callback for each owned path; visit must be invokable with a `const Path_ptr&` argument. 

## Public Attributes Documentation

### variable first

```cpp
util::Mutex first;
```


-------------------------------

Updated on 2025-01-26 at 05:10:09 +0000